| Flutter Impeller |

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
impeller::interop::MaskFilter Class Referencefinal

`#include <mask_filter.h>`

Inheritance diagram for impeller::interop::MaskFilter:

## Public Member Functions
| MaskFilter (std::shared_ptr< flutter::DlMaskFilter > mask_filter)
| ~MaskFilter () override
| MaskFilter (const MaskFilter &)=delete
MaskFilter & | operator= (const MaskFilter &)=delete
const std::shared_ptr< flutter::DlMaskFilter > & | GetMaskFilter () const
Public Member Functions inherited from impeller::interop::ObjectBase
| ObjectBase ()=default
virtual | ~ObjectBase ()=default
| ObjectBase (const ObjectBase &)=delete
| ObjectBase (ObjectBase &&)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
ObjectBase & | operator= (ObjectBase &&)=delete
void | Retain ()
void | Release ()
uint64_t | GetRefCountForTests () const

## Static Public Member Functions
static ScopedObject< MaskFilter > | MakeBlur (flutter::DlBlurStyle style, float sigma)
Static Public Member Functions inherited from impeller::interop::ObjectBase
static void | SafeRetain (void *ptr)
static void | SafeRelease (void *ptr)

## Public Attributes
std::shared_ptr< flutter::DlMaskFilter > | mask_filter_

## Additional Inherited Members
Public Types inherited from impeller::interop::Object< MaskFilter, IMPELLER_INTERNAL_HANDLE_NAME(ImpellerMaskFilter)>
using | InteropClass = MaskFilter
using | InteropCSibling = IMPELLER_INTERNAL_HANDLE_NAME(ImpellerMaskFilter)

## Detailed Description

Definition at line 14 of file mask_filter.h.

## Constructor & Destructor Documentation

## ◆ MaskFilter() [1/2]

impeller::interop::MaskFilter::MaskFilter | ( | std::shared_ptr< flutter::DlMaskFilter > | mask_filter | ) |
| explicit

Definition at line 18 of file mask_filter.cc.

19 : mask_filter_(std::move(mask_filter)) {}

## ◆ ~MaskFilter()

impeller::interop::MaskFilter::~MaskFilter | ( |  | ) |
| overridedefault

## ◆ MaskFilter() [2/2]

impeller::interop::MaskFilter::MaskFilter | ( | const MaskFilter & |  | ) |
| delete

## Member Function Documentation

## ◆ GetMaskFilter()

const std::shared_ptr< flutter::DlMaskFilter > & impeller::interop::MaskFilter::GetMaskFilter | ( |  | ) | const

Definition at line 23 of file mask_filter.cc.

24 {
25 return mask_filter_;
26 }

References mask_filter_.

Referenced by impeller::interop::Paint::SetMaskFilter().

## ◆ MakeBlur()

ScopedObject< MaskFilter > impeller::interop::MaskFilter::MakeBlur | ( | flutter::DlBlurStyle | style,
|  | float | sigma
| ) |  |
| static

Definition at line 9 of file mask_filter.cc.

10 {
11 auto filter = flutter::DlBlurMaskFilter::Make(style, sigma);
12 if (!filter) {
13 return nullptr;
14 }
15 return Create<MaskFilter>(std::move(filter));
16 }

Referenced by ImpellerMaskFilterCreateBlurNew().

## ◆ operator=()

MaskFilter& impeller::interop::MaskFilter::operator= | ( | const MaskFilter & |  | ) |
| delete

## Member Data Documentation

## ◆ mask_filter_

std::shared_ptr<flutter::DlMaskFilter> impeller::interop::MaskFilter::mask_filter_

Definition at line 32 of file mask_filter.h.

Referenced by GetMaskFilter().

The documentation for this class was generated from the following files:

- impeller/toolkit/interop/mask_filter.h
- impeller/toolkit/interop/mask_filter.cc

impeller::interop::MaskFilter::mask_filter_
std::shared_ptr< flutter::DlMaskFilter > mask_filter_
Definition: mask_filter.h:32
mask_filter
std::shared_ptr< DlMaskFilter > mask_filter
Definition: dl_golden_blur_unittests.cc:25